--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: ""
comment: 
- !ruby/struct:SM::Flow::P 
  body: Copy a (usually generated) file to <tt>remote_path</tt>. Contents of block are copied to <tt>remote_path</tt> and you may specify an optional base_name for the tempfile (aids in debugging).
full_name: Rake::RemoteTask#put
is_singleton: false
name: put
params: (remote_path, base_name = File.basename(remote_path)) {|| ...}
visibility: public
